Bug 216894 - [PATCH] news/nzbget: Improve and simplify rc script
Summary: [PATCH] news/nzbget: Improve and simplify rc script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-02-07 20:40 UTC by Mark Felder
Modified: 2017-02-22 22:25 UTC (History)
1 user (show)

See Also:
amdmi3: maintainer-feedback-
feld: merge-quarterly+


Attachments
rc script improvement (954 bytes, patch)
2017-02-07 20:40 UTC, Mark Felder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2017-02-07 20:40:03 UTC
Created attachment 179721 [details]
rc script improvement

nzbget properly handles SIGTERM. There's no reason to require it to use its own binary to self-signal shutdown. I have been running into issues with nzbget processes which get stuck in nanslp state and are no longer listening on the network socket, so "service nzbget stop" doesn't work because it can't communicate over its web api. If you pass it SIGTERM it shuts down cleanly.

Additionally, this fixes the need to induce a sleep for the restart command. I can do service restarts without a problem; nzbget starts cleanly every time.
Comment 1 Dmitry Marakasov freebsd_committer 2017-02-21 14:31:10 UTC
Maintainer timeout
Comment 2 commit-hook freebsd_committer 2017-02-22 22:24:49 UTC
A commit references this bug:

Author: feld
Date: Wed Feb 22 22:24:16 UTC 2017
New revision: 434648
URL: https://svnweb.freebsd.org/changeset/ports/434648

Log:
  news/nzbget: rc script improvement

  nzbget obeys normal signals. Use them instead of needlessly complicating
  the rc script.

  PR:		216894
  Approved by:	maintainer timeout
  MFH:		2017Q1

Changes:
  head/news/nzbget/Makefile
  head/news/nzbget/files/nzbget.in
Comment 3 commit-hook freebsd_committer 2017-02-22 22:25:52 UTC
A commit references this bug:

Author: feld
Date: Wed Feb 22 22:24:53 UTC 2017
New revision: 434649
URL: https://svnweb.freebsd.org/changeset/ports/434649

Log:
  MFH: r434648

  news/nzbget: rc script improvement

  nzbget obeys normal signals. Use them instead of needlessly complicating
  the rc script.

  PR:		216894
  Approved by:	maintainer timeout

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/news/nzbget/Makefile
  branches/2017Q1/news/nzbget/files/nzbget.in